Setup

The documentation in this chapter contains the information that is relevant for you, if you are want to install and/or uninstall the plugin on your DokuWiki.


Compatibility

DokuWiki 2012, 2013, 2014

Requirements

  • Supported PHP versions: 5.2, 5.3.
  • Supported vBulletin versions: 4.0, 4.1 or 4.2.
  • Installed PHP cURL, mCrypt extensions.
  • Installed DokuWiki default auth plugin authplain.

Install

Note please: It’s best to put the site into Maintenance Mode first and take a backup, before you start making any other changes!

INSTALLATION (DOKUWIKI VERSION LOWER THEN 2014-05-05 PONDER STIBBONS)

  1. Download DokuWiki vBSSO (Required).
  2. Unzip and upload vbsso folder to the /lib/plugins/ directory of your DokuWiki.

INSTALLATION (DOKUWIKI VERSION IS 2014-05-05 PONDER STIBBONS)

  1. Go to: Admin > Extension Manager > Manual install.
  2. Upload the archive with the vBSSO extension.

Note

Plugin should be activated!

Upgrade

Note please: It’s best to put the site into Maintenance Mode first and take a backup, before you start making any other changes!

  1. Uninstall the old plugin installation (see Uninstall chapter).
  2. Install the latest plugin version (see Install chapter).

Uninstall

Note please: It’s best to put the site into Maintenance Mode first and take a backup, before you start making any other changes!

  1. Go to: Admin > Manage Plugins.
  2. Press delete or uninstall in front of vBSSO.

Note

The plugin should be successfully deleted.